Skip to main content
GET
/
api
/
v1
/
vicky
/
agents
/
{id}
Obtener agente por ID
curl --request GET \
  --url https://apis.wekall.co/api/v1/vicky/agents/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "6a0e1701ef0ddceeedc18084",
  "name": "Agente Cobranza IA",
  "status": "active",
  "provider": "elevenlabs",
  "call_type": "outbound",
  "createdAt": "2026-05-20T20:18:09.384Z",
  "lastModifiedBy": {
    "userId": "83d52a59-e4e5-474a-a562-3d96cf663bad",
    "username": "oguerrero@wekall.co",
    "fullName": "Oscar Guerrero",
    "email": "oguerrero@wekall.co",
    "at": "2026-05-20T20:18:09.381Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.wekall.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Token obtenido desde POST /api/v1/auth/token

Path Parameters

id
string
required

ID del agente

Example:

"6a0e1701ef0ddceeedc18084"

Response

Detalle del agente

id
string
required

ID del agente

Example:

"6a0e1701ef0ddceeedc18084"

name
string
required

Nombre del agente

Example:

"Agente Cobranza IA"

status
enum<string>
required

Estado del agente

Available options:
active,
inactive
Example:

"active"

provider
string
required

Proveedor de IA de voz

Example:

"elevenlabs"

call_type
enum<string>
required

Tipo de llamada

Available options:
inbound,
outbound
Example:

"outbound"

createdAt
string
required
Example:

"2026-05-20T20:18:09.384Z"

lastModifiedBy
object